Affilibee
Toggle sidebar

List affiliate requests

Retrieve a paginated list of affiliate requests for your merchant account.

Endpoint

GET
/api/v2/affiliate-requests

Authorization

Learn more
Authorization
string
header
required

The Bearer token generated in the Affilibee dashboard.

Body

application/json

status
string

Filter requests by status. Allowed values: pending, accepted, declined. Multiple values can be separated by a comma. Default: pending.

per_page
integer

Number of results per page. Default: 15.

page
integer

The page number to retrieve. Default: 1.

Example requests

curl -X GET "https://affilibee.com/api/v2/affiliate-requests?status=accepted,declined" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Accept: application/json"
curl -X GET "https://affilibee.com/api/v2/affiliate-requests?per_page=15&page=1" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Accept: application/json"
const token = "YOUR_ACCESS_TOKEN";
const url = "https://affilibee.com/api/v2/affiliate-requests?per_page=15&page=1";

fetch(url, {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
    "Accept": "application/json"
  }
})
  .then(response => response.json())
  .then(data => console.log("Success:", data))
  .catch(error => console.error("Error:", error));
import requests

token = "YOUR_ACCESS_TOKEN"
url = "https://affilibee.com/api/v2/affiliate-requests"
params = {
    "per_page": 15,
    "page": 1
}

headers = {
    "Authorization": f"Bearer {token}",
    "Accept": "application/json"
}

response = requests.get(url, params=params, headers=headers)
print(response.json())
$token = 'YOUR_ACCESS_TOKEN';
$url = 'https://affilibee.com/api/v2/affiliate-requests?per_page=15&page=1';

$response = Http::withToken($token)
    ->withHeaders([
        'Accept' => 'application/json',
    ])
    ->get($url);

print_r($response->json());

Responses

application/json

200
Successful response

A paginated list of pending affiliate requests.

Response examples

{
    "success": true,
    "data": [
        {
            "uuid": "00000000-0000-0000-0000-000000000000",
            "affiliate": {
                "name": "John Doe",
                "slug": "john-doe"
            },
            "status": "pending",
            "requested_at": "2024-03-21T10:00:00Z"
        }
    ],
    "errors": null,
    "meta": {
        "trace_id": "20240321:api:abc12",
        "pagination": {
            "current_page": 1,
            "last_page": 1,
            "per_page": 15,
            "total": 1,
            "next_page_url": null,
            "prev_page_url": null
        }
    }
}

Notes

  • Affiliate requests are created when an affiliate applies to join your program.

  • The default behavior is to return only pending requests. Use the status filter to retrieve accepted or declined requests.

Got questions? We're here for you.

We help teams run affiliate programs through API-first integrations that fit the platform they already use.

© 2025 Affilibee Handelsbolag (969802-2481)

Integrations

API Integration
How can we assist you today?

Fill in the form below and we'll get back to you as soon as possible.

Name
Email
Message